<p align="center">
  <a href="https://metroui.org.ua/v4/">
    <img src="https://metroui.org.ua/images/logo4.png" alt="">
  </a>

  <h3 align="center">Metro 4 Components Library</h3>

  <p align="center">
    Sleek, intuitive, and powerful front-end framework for faster and easier web development.
 Build responsive, mobile-first projects on the web with the first front-end component library in Metro Style.
    <br>
    <a href="https://metroui.org.ua/"><strong>Explore Metro 4 docs »</strong></a>
  </p>
</p>

<p align="center">
Metro 4 is an MIT-licensed open source project. 
It's an independent project with its ongoing development made possible entirely thanks to the support by these
<br>
<a href="https://github.com/olton/Metro-UI-CSS/blob/master/BACKERS.md"><strong>awesome Backers</strong></a>.
</p>

<hr>
 
## Current Version 4.2.33

### Status
[![Build Status](https://travis-ci.org/olton/Metro-UI-CSS.svg?branch=master)](https://travis-ci.org/olton/Metro-UI-CSS)
[![dependencies Status](https://david-dm.org/olton/Metro-UI-CSS/status.svg)](https://david-dm.org/olton/Metro-UI-CSS)
[![devDependencies Status](https://david-dm.org/olton/Metro-UI-CSS/dev-status.svg)](https://david-dm.org/olton/Metro-UI-CSS?type=dev)
[![CSS gzip size](http://img.badgesize.io/olton/Metro-UI-CSS/master/build/css/metro-all.min.css?compression=gzip&label=CSS+gzip)](https://github.com/olton/Metro-UI-CSS/blob/master/build/css/metro-all.min.css)
[![JS gzip size](http://img.badgesize.io/olton/Metro-UI-CSS/master/build/js/metro.min.js?compression=gzip&label=JS+gzip)](https://github.com/olton/Metro-UI-CSS/blob/master/build/js/metro.min.js)
[![Icons gzip size](http://img.badgesize.io/olton/Metro-UI-CSS/master/build/mif/metro.woff?compression=gzip&label=Icons+gzip)](https://github.com/olton/Metro-UI-CSS/tree/master/build/mif)
[![License: MIT](https://img.shields.io/badge/License-MIT-blue.svg?style=flat)](https://github.com/olton/Metro-UI-CSS/blob/master/LICENSE)
[![npm version](https://badge.fury.io/js/metro4.svg)](https://badge.fury.io/js/metro4)

### Opencollective 
[![Backers on Open Collective](https://opencollective.com/metro4/backers/badge.svg)](#backers) 
[![Sponsors on Open Collective](https://opencollective.com/metro4/sponsors/badge.svg)](#sponsors)
 
### Community
[![Join the chat at https://discord.gg/NydRab3](https://img.shields.io/badge/chat-on%20discord-brightgreen.svg?style=flat)](https://discord.gg/NydRab3)
[![Join the chat at https://gitter.im/metro4/Lobby](https://badges.gitter.im/metro4/Lobby.svg)](https://gitter.im/metro4/Lobby?utm_source=badge&utm_medium=badge&utm_campaign=pr-badge&utm_content=badge)
[![Join the forum at https://forum.metroui.org.ua](https://img.shields.io/badge/metro-forum-orange.svg)](https://forum.metroui.org.ua)


### Whats new
+ Full code refactoring and optimisation
+ New components
+ New plugin model
+ Declarative approach to the definition of components
+ Framework itself monitors components, pressure via ajax
+ Framework itself monitors components attributes to change
+ Create cool page without knowledge of javascript

 Documentation and Demo for v4: [metroui.org.ua](https://metroui.org.ua/) or short [m4.org.ua](https://m4.org.ua).   

### Releases

Metro 4 releases frequently. I Am create release when there are significant bug fixes, new APIs or components.
The usual frequency of release of the new version is one week on Sundays.

### LTS
**Long term support** of older versions of Metro 4 does not currently exist. 
If your current version of Metro 4 works for you, you can stay on it for as long as you'd like. 
If you want to make use of new features as they come in you should upgrade to a newer version.

### Credits
- Styles created using the [less](http://lesscss.org) preprocessor by  [Alexis Sellier](https://github.com/cloudhead)
- preCode by Leon Sorokin [preCode](https://github.com/leeoniya/preCode.js)
- easing functions by George McGinley Smith [easing](http://gsgd.co.uk/sandbox/jquery/easing/)
- mousewheel.js by Brandon Aaron [mousewheel](http://brandonaaron.net)
- strftime by Tom Doan [strftime](https://github.com/thdoan/strftime)
- jQuery Core [jquery](https://jquery.com/)
- scrolStop by Ross Allen [ssorallen](https://github.com/ssorallen)
- function b64toBlob by [Jeremy Banks](http://stackoverflow.com/users/1114/jeremy-banks)
- Date.getWeek by [Nick Baicoianu](http://www.epoch-calendar.com)
- Swipe component based on [Matt Bryson](https://github.com/mattbryson/TouchSwipe-Jquery-Plugin)  TouchSwipe plugin
- All who brought something good 

### Browser Compatibility
IE11+, Chrome, Firefox, Opera, Safari, Android, IOS

### Cross-browser Testing
Cross-browser Testing Platform and Open Source Provided by [Sauce Labs](https://saucelabs.com).
Sauce Labs ensures your favorite mobile apps and websites work flawlessly on every browser, operating system, and device.
<p>
<a href="https://saucelabs.com"><img src="https://metroui.org.ua/images/Sauce-Labs_Horiz_Red-Grey_RGB_200x28.png" style="width: 100px;"></a>
</p>

### License
Metro 4 has [MIT License](http://metroui.org.ua/license.html)

### Old version
Metro UI CSS 3.x you can find in a repo [Metro-UI-CSS-3](https://github.com/olton/Metro-UI-CSS-3)     
Metro UI CSS 2.x you can find in a repo [Metro-UI-CSS-2](https://github.com/olton/Metro-UI-CSS-2)     
Metro UI CSS 0.x you can find in a repo [Metro-UI-CSS-095](https://github.com/olton/Metro-UI-CSS-095) 

 Documentation and Demo for V3: [metroui.org.ua/v3](https://metroui.org.ua/v3/).   
 Documentation and Demo for V2: [metroui.org.ua/v2](https://metroui.org.ua/v2/).   
 Documentation and Demo for V0: [metroui.org.ua/v0](https://metroui.org.ua/v0/).   

### Thanks
Thanks to all. Special thanks to all those who financially supported the project.    

### Testers
Thanks to all who a [testing](https://github.com/Pro-Club/MetroCL/blob/master/TESTERS.md) a project. 

